%global momorel 2

Name:      fastjar
License:   GPL
Group:     Development/Tools
Version:   0.92
Release:   %{momorel}m%{?dist}
Summary:   The fastjar Java package archiver
URL:       http://savannah.nongnu.org/projects/fastjar/
Source0:   fastjar-%{version}.tar.bz2
Patch0:    nvl191845.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides:  libgcj:/usr/bin/fastjar

%description
Fastjar is an implementation of Sun's jar utility that comes with the
JDK, written entirely in C, and runs in a fraction of the time while
being 100% feature compatible.

%prep
%setup -q
%patch

%build
%configure
%make

%install
%makeinstall

rm -f %{buildroot}%{_datadir}/info/dir

%post
install-info --info-dir=%{_infodir} %{_infodir}/%{name}.info.bz2

%postun
install-info --delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.bz2

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README NEWS ChangeLog
%{_bindir}/fastjar
%{_bindir}/grepjar
%{_infodir}/fastjar.info.bz2
%{_mandir}/man1/fastjar.1.bz2
%{_mandir}/man1/grepjar.1.bz2

%changelog
* Thu Apr  3 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.92-2m)
- copy from T4R/gcc-test/fastjar r19016


